# Uses of Class
com.fasterxml.jackson.core.JsonStreamContext

Packages that use JsonStreamContext
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.base
Base classes used by concrete Parser and Generator implementations; contain functionality that is not specific to JSON or input abstraction (byte vs char).
com.fasterxml.jackson.core.filter
com.fasterxml.jackson.core.json
JSON-specific parser and generator implementation classes that Jackson defines and uses.
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of JsonStreamContext in com.fasterxml.jackson.core

Methods in com.fasterxml.jackson.core that return JsonStreamContext
Modifier and Type
Method
Description
`abstract JsonStreamContext`
JsonGenerator.`getOutputContext()`
Accessor for context object that provides information about low-level logical position withing output token stream.
`abstract JsonStreamContext`
JsonStreamContext.`getParent()`
Accessor for finding parent context of this context; will return null for root context.
`abstract JsonStreamContext`
JsonParser.`getParsingContext()`
Method that can be used to access current parsing context reader is in.
Methods in com.fasterxml.jackson.core with parameters of type JsonStreamContext
Modifier and Type
Method
Description
`static JsonPointer`
JsonPointer.`forPath(JsonStreamContext context, boolean includeRoot)`
Factory method that will construct a pointer instance that describes path to location given `JsonStreamContext` points to.
Constructors in com.fasterxml.jackson.core with parameters of type JsonStreamContext
Modifier
Constructor
Description
`protected`
`JsonStreamContext(JsonStreamContext base)`
Copy constructor used by sub-classes for creating copies for buffering.

## Uses of JsonStreamContext in com.fasterxml.jackson.core.base

Methods in com.fasterxml.jackson.core.base that return JsonStreamContext
Modifier and Type
Method
Description
`JsonStreamContext`
GeneratorBase.`getOutputContext()`
Note: type was co-variant until Jackson 2.7; reverted back to base type in 2.8 to allow for overriding by subtypes that use custom context type.
`abstract JsonStreamContext`
ParserMinimalBase.`getParsingContext()`

## Uses of JsonStreamContext in com.fasterxml.jackson.core.filter

Subclasses of JsonStreamContext in com.fasterxml.jackson.core.filter
Modifier and Type
Class
Description
`class`
`TokenFilterContext`
Alternative variant of `JsonStreamContext`, used when filtering content being read or written (based on `TokenFilter`).
Methods in com.fasterxml.jackson.core.filter that return JsonStreamContext
Modifier and Type
Method
Description
`protected JsonStreamContext`
FilteringParserDelegate.`_filterContext()`
`JsonStreamContext`
FilteringGeneratorDelegate.`getFilterContext()`
`JsonStreamContext`
FilteringGeneratorDelegate.`getOutputContext()`
`JsonStreamContext`
FilteringParserDelegate.`getParsingContext()`

## Uses of JsonStreamContext in com.fasterxml.jackson.core.json

Subclasses of JsonStreamContext in com.fasterxml.jackson.core.json
Modifier and Type
Class
Description
`final class`
`JsonReadContext`
Extension of `JsonStreamContext`, which implements core methods needed, and also exposes more complete API to parser implementation classes.
`class`
`JsonWriteContext`
Extension of `JsonStreamContext`, which implements core methods needed, and also exposes more complete API to generator implementation classes.

## Uses of JsonStreamContext in com.fasterxml.jackson.core.util

Methods in com.fasterxml.jackson.core.util that return JsonStreamContext
Modifier and Type
Method
Description
`JsonStreamContext`
JsonGeneratorDelegate.`getOutputContext()`
`JsonStreamContext`
JsonParserDelegate.`getParsingContext()`